summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Binh Nguyen2010-10-18 01:30:43 +0200
committer Robby Workman2010-10-18 01:30:43 +0200
commit2dd273581975e493a179bf58f1ca76b37d230610 (patch)
tree84b6989f6e5ee9d9a67d4fc41cc6fa1792782c87 /libraries
parentdedfe358cdb35d3d8705dc42d914b9f6b0a57dff (diff)
downloadslackbuilds-2dd273581975e493a179bf58f1ca76b37d230610.tar.gz
libraries/perl-net-dbus: Added (Net::DBus perl module)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/perl-net-dbus/README7
-rw-r--r--libraries/perl-net-dbus/perl-net-dbus.SlackBuild94
-rw-r--r--libraries/perl-net-dbus/perl-net-dbus.info10
-rw-r--r--libraries/perl-net-dbus/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/libraries/perl-net-dbus/README b/libraries/perl-net-dbus/README
new file mode 100644
index 0000000000..aa30b9ccb9
--- /dev/null
+++ b/libraries/perl-net-dbus/README
@@ -0,0 +1,7 @@
+perl-net-dbus (Net::DBus perl module)
+
+Net::DBus provides a Perl XS API to the dbus inter-application
+messaging system. The Perl API covers the core base level of the
+dbus APIs, not concerning itself yet with the GLib or QT wrappers.
+
+This requires perl-xml-twig.
diff --git a/libraries/perl-net-dbus/perl-net-dbus.SlackBuild b/libraries/perl-net-dbus/perl-net-dbus.SlackBuild
new file mode 100644
index 0000000000..0c4370e15e
--- /dev/null
+++ b/libraries/perl-net-dbus/perl-net-dbus.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for <appname>
+
+# Written by (your name) (your contact information)
+
+# (add license information here if you desire; otherwise,
+# all submissions are considered to be in the public domain)
+# Some licenses may incorporate the "Written by" information
+# above, and if so, that line can be omitted
+# We strongly suggest *not* using GPL for scripts, as it requires
+# a copy of the GPL to be distributed with it. Since the GPL
+# itself is longer than any build script will be, this just doesn't
+# make good sense...
+
+Net-DBus-0.33.6.tar.gz
+
+PRGNAM=perl-net-dbus
+VERSION=${VERSION:-0.33.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=Net-DBus
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS CHANGES LICENSE README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-net-dbus/perl-net-dbus.info b/libraries/perl-net-dbus/perl-net-dbus.info
new file mode 100644
index 0000000000..9d1f9124a3
--- /dev/null
+++ b/libraries/perl-net-dbus/perl-net-dbus.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-net-dbus"
+VERSION="0.33.6"
+HOMEPAGE="http://search.cpan.org/~danberr/Net-DBus/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/D/DA/DANBERR/Net-DBus-0.33.6.tar.gz"
+MD5SUM="a1dbce89b1b839fd0e46d74067ae2e35"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="rworkman"
diff --git a/libraries/perl-net-dbus/slack-desc b/libraries/perl-net-dbus/slack-desc
new file mode 100644
index 0000000000..4c74b2bbcb
--- /dev/null
+++ b/libraries/perl-net-dbus/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-net-dbus: perl-net-dbus (Net::DBus perl module)
+perl-net-dbus:
+perl-net-dbus: Net::DBus provides a Perl XS API to the dbus inter-application
+perl-net-dbus: messaging system. The Perl API covers the core base level of the
+perl-net-dbus: dbus APIs, not concerning itself yet with the GLib or QT wrappers.
+perl-net-dbus:
+perl-net-dbus: Homepage: http://www.freedesktop.org/software/dbus/
+perl-net-dbus:
+perl-net-dbus:
+perl-net-dbus:
+perl-net-dbus: